Bug 114394 - net-p2p/ktorrent and ktorrent-devel: dependency on libgmp not working
Summary: net-p2p/ktorrent and ktorrent-devel: dependency on libgmp not working
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Markus Brueffer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-08 04:00 UTC by ktullavik
Modified: 2007-10-23 06:20 UTC (History)
0 users

See Also:


Attachments
file.diff (851 bytes, patch)
2007-07-08 04:00 UTC, ktullavik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ktullavik 2007-07-08 04:00:09 UTC
# cd /usr/ports/net-p2p/ktorrent && make install clean

<snip>

/usr/local/bin/moc ./peermanager.h -o peermanager.moc
source='peermanager.cpp' object='peermanager.lo' libtool=yes \
        depfile='.deps/peermanager.Plo' tmpdepfile='.deps/peermanager.TPlo' \
        depmode=gcc3 /bin/sh ../../admin/depcomp \
        /bin/sh /usr/local/bin/libtool --silent --mode=compile --tag=CXX c++ -DHAVE_CONFIG_H -I. -I. -I../.. -I../../ktorrent/libktorrent -I../../libktorrent -I./.. -I/usr/local/include  -I/usr/local/include  -D_THREAD_SAFE -pthread -DQT_THREAD_SUPPORT   -I/usr/local/include -I/usr/local/include  -I/usr/local/include -D_GETOPT_H -D_THREAD_SAFE   -Wno-long-long -Wundef -Wall -W -Wpointer-arith -O1 -pipe -march=prescott -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -fexceptions  -c -o peermanager.lo `test -f 'peermanager.cpp' || echo './'`peermanager.cpp
In file included from ../../libktorrent/mse/encryptedauthenticate.h:25,
                 from peermanager.cpp:36:
./../libktorrent/mse/bigint.h:26:17: error: gmp.h: No such file or directory
In file included from ../../libktorrent/mse/encryptedauthenticate.h:25,
                 from peermanager.cpp:36:
./../libktorrent/mse/bigint.h:93: error: 'mpz_t' does not name a type
gmake[4]: *** [peermanager.lo] Error 1
gmake[4]: Leaving directory `/usr/ports/net-p2p/ktorrent/work/ktorrent-2.1.4/libktorrent/torrent'
gmake[3]: *** [all-recursive] Error 1
gmake[3]: Leaving directory `/usr/ports/net-p2p/ktorrent/work/ktorrent-2.1.4/libktorrent'
gmake[2]: *** [all] Error 2
gmake[2]: Leaving directory `/usr/ports/net-p2p/ktorrent/work/ktorrent-2.1.4/libktorrent'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/usr/ports/net-p2p/ktorrent/work/ktorrent-2.1.4'
gmake: *** [all] Error 2
*** Error code 2

Fix: Build math/libgmp4 before ktorrent or apply patch.
Sorry if the patch is incorrect, never done this before.

Patch attached with submission follows:
How-To-Repeat: pkg_delete libgmp-* (if installed)
cd /usr/ports/net-p2p/ktorrent && make install
Comment 1 Edwin Groothuis freebsd_committer 2007-07-08 04:12:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->markus

Over to maintainer
Comment 2 Markus Brueffer freebsd_committer 2007-10-23 02:38:37 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 dfilter service freebsd_committer 2007-10-23 03:37:49 UTC
markus      2007-10-22 22:54:05 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p/ktorrent     Makefile distinfo pkg-plist 
  Added files:
    net-p2p/ktorrent/files patch-libktorrent-util-fileops.cpp 
  Log:
  - Update to version 2.2.2 and update mastersite [1]
  - Add major lib version to gmp dependency [2]
  - Fix usage of statvfs(2) which caused way off calculations of remaining disk
    space
  
  PR:             ports/114394 [2]
  Submitted by:   Kjell Tore Ullavik <ktullavik@gmail.com> [2]
                  Josh Paetzel <josh@tcbug.org> [1]
                  Andreas Hermann Braml <a.strich.b@web.de> [1]
  
  Revision  Changes    Path
  1.22      +3 -4      ports/net-p2p/ktorrent/Makefile
  1.14      +3 -3      ports/net-p2p/ktorrent/distinfo
  1.1       +11 -0     ports/net-p2p/ktorrent/files/patch-libktorrent-util-fileops.cpp (new)
  1.15      +7 -9      ports/net-p2p/ktorrent/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2007-10-23 06:16:35 UTC
markus      2007-10-23 01:30:53 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p/ktorrent-devel Makefile distinfo pkg-plist 
  Added files:
    net-p2p/ktorrent-devel/files 
                                 patch-libktorrent-util-fileops.cpp 
  Log:
  - Update to snapshot from 23.10.2007
  - Update mastersite
  - Add major lib version to gmp dependency [1]
  - Fix usage of statvfs(3) which caused way off calculations of remaining disk
    space
  - Remove upstream applied relocation of $(all_includes) in Makefile.in's
  
  PR:             ports/114394 [1]
  Submitted by:   Kjell Tore Ullavik <ktullavik@gmail.com> [1]
  
  Revision  Changes    Path
  1.20      +3 -9      ports/net-p2p/ktorrent-devel/Makefile
  1.11      +3 -3      ports/net-p2p/ktorrent-devel/distinfo
  1.1       +11 -0     ports/net-p2p/ktorrent-devel/files/patch-libktorrent-util-fileops.cpp (new)
  1.14      +7 -3      ports/net-p2p/ktorrent-devel/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"